function init(hero) {
    hero.setName("Moon Knight");
    hero.setTier(6);
    
    hero.setHelmet("item.superhero_armor.piece.cowl");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.setPrimaryEquipment("fiskheroes:grappling_gun");
	hero.addEquipment("fiskheroes:bo_staff");
    
    hero.addPowers("soulhp:moonknight");
    hero.addAttribute("PUNCH_DAMAGE", 6, 0);
	hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 4.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 6.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.5, 1);
    
    hero.addKeyBind("UTILITY_BELT", "key.utilityBelt", 1);
    
    hero.setHasPermission(hasPermission);
}

function hasPermission(entity, permission) {
    return permission == "USE_BO_STAFF";
}
function hasPermission(entity, permission) {
    return permission == "USE_GRAPPLING_GUN";
}
